PKCS7_get_octet_string(3)

NAME
PKCS7_get_octet_string - return octet string from a PKCS#7 envelopedData structure

LIBRARY
libcrypto, -lcrypto

SYNOPSIS
 #include <openssl/pkcs7.h>

 ASN1_OCTET_STRING *PKCS7_get_octet_string(PKCS7 *p7);

DESCRIPTION
PKCS7_get_octet_string() returns a pointer to an ASN1 octet string from a PKCS#7 envelopedData structure or NULL if the structure cannot be parsed.

NOTES
As the 0 implies, PKCS7_get_octet_string() returns internal pointers which should not be freed by the caller.

RETURN VALUES
PKCS7_get_octet_string() returns an ASN1_OCTET_STRING pointer.

SEE ALSO
PKCS7_type_is_data(3)

COPYRIGHT
Copyright 2002-2020 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.